package com.perforce.hws.deployment;

import io.jsonwebtoken.SignatureAlgorithm;
import io.jsonwebtoken.impl.crypto.MacProvider;

import java.security.Key;
import java.util.Base64;

/**
 * Created by tristan on 4/14/16.
 */
public interface JWTKeyGeneration {

    default String createJWTSigningKey() {
        Key key = MacProvider.generateKey(SignatureAlgorithm.HS512);
        return new String(Base64.getEncoder().encode(key.getEncoded()));
    }
}
